- Update a visitor
Sending a PUT request to /visitors will result in an update of an existing Visitor.
Option 1. You can update a visitor by passing in the user_id of the visitor in the Request body.
Option 2. You can update a visitor by passing in the id of the visitor in the Request body.
Sending an email promotes the visitor to a lead. When that happens the response is a contact object with a role of lead, not a visitor object.
Requires the read_write_users or write_users_companies OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Update an existing visitor.
A unique identified for the visitor which is given by Intercom. Used to look the visitor up; it is not changed by this request.
A unique identified for the visitor which is given by you. Used to look the visitor up; it is not changed by this request.
The visitor's email address. Sending this promotes the visitor to a lead and the response becomes a contact object.
The language to send the visitor messages in, overriding the language we detect.
The companies to associate the visitor with. Only applied when the same request sends email, which promotes the visitor to a lead.
- The production API serverhttps://api.intercom.io/visitors
- The european API serverhttps://api.eu.intercom.io/visitors
- The australian API serverhttps://api.au.intercom.io/visitors
- object
- object (2)
- successful
- visitor Not Found
curl -i -X PUT \
https://api.intercom.io/visitors \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"id": "6762f30c1bb69f9f2193bc5e",
"name": "Gareth Bale"
}'successful
Automatically generated identifier for the Visitor.
{ "type": "visitor", "id": "6762f30c1bb69f9f2193bc5e", "user_id": "3ecf64d0-9ed1-4e9f-88e1-da7d6e6782f3", "anonymous": true, "email": "", "phone": null, "name": "Gareth Bale", "pseudonym": "Violet Suitcase", "avatar": { "type": "avatar", "image_url": "https://static.intercomassets.com/app/pseudonym_avatars_2019/violet-suitcase.png" }, "app_id": "this_is_an_id716_that_should_be_at_least_", "companies": { "type": "company.list", "companies": [] }, "location_data": {}, "last_request_at": null, "created_at": 1734537996, "remote_created_at": 1734537996, "signed_up_at": 1734537996, "updated_at": 1734537997, "session_count": 0, "social_profiles": { "type": "social_profile.list", "social_profiles": [] }, "owner_id": null, "unsubscribed_from_emails": false, "marked_email_as_spam": false, "has_hard_bounced": false, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "custom_attributes": {}, "referrer": null, "utm_campaign": null, "utm_content": null, "utm_medium": null, "utm_source": null, "utm_term": null, "do_not_track": null }